Subject: [alpine-aports] [PATCH] testing/entr: new aport

From: Stuart Cardall <[email-masked]>
Date: Fri, 1 May 2015 16:58:38 +0000

Event Notify Test Runner: Run arbitrary commands when files change
http://entrproject.org
41k binary
---
 testing/entr/APKBUILD                      | 43 ++++++++++++++++++++++++++++++
 testing/entr/remove-strlcpy-compat.h.patch | 14 ++++++++++
 2 files changed, 57 insertions(+)
 create mode 100644 testing/entr/APKBUILD
 create mode 100644 testing/entr/remove-strlcpy-compat.h.patch

diff --git a/testing/entr/APKBUILD b/testing/entr/APKBUILD
new file mode 100644
index 0000000..4a1f568
--- /dev/null
+++ b/testing/entr/APKBUILD
@@ -0,0 +1,43 @@
+# Contributor: Stuart Cardall <[email-masked]>
+# Maintainer: Stuart Cardall <[email-masked]>
+pkgname=entr
+_srcdir=eradman-$pkgname-c20e34ec153a
+pkgver=3.2
+pkgrel=0
+pkgdesc="Event Notify Test Runner: Run arbitrary commands when files change"
+url="http://entrproject.org"
+arch="all"
+license="ISC / BSD"
+subpackages="$pkgname-doc"
+source="http://entrproject.org/code/$pkgname-$pkgver.tar.gz
+	remove-strlcpy-compat.h.patch
+	"
+
+_builddir="$srcdir"/$_srcdir
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure || return 1
+	CFLAGS="-static" make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	PREFIX="$pkgdir/usr" make install || return 1
+}
+
+md5sums="efd379cf5bd08d7086bb94e41c4846c8  entr-3.2.tar.gz
+5ae5aa6f2b8de9747312b32b17c56d0b  remove-strlcpy-compat.h.patch"
+sha256sums="b1eee00afbeccf03010c1c557436854be6aaf0ef9b72ab8d44b94affdd7d7146  entr-3.2.tar.gz
+2bc42c8c154acf0aaa876b4395c2e0e7b20773e48d50b0c8a15e90ca2e8db472  remove-strlcpy-compat.h.patch"
+sha512sums="7287dfe86b829a73049dfbac78c76e06e69b1172bece80120977f03492ff325d0c026cb58d1ab56a10897beebbcfb0c2130aaf5167ad68fdbc5daa0959cc22b7  entr-3.2.tar.gz
+9d0f4e06cd5c312788f5ff2efa13f55f78a3491de3ddf64612a6c731072e8514deb1cea48c630194cbda71c58c57e9a6b937172eca58be0b1fb4f0f7a1652e2d  remove-strlcpy-compat.h.patch"
diff --git a/testing/entr/remove-strlcpy-compat.h.patch b/testing/entr/remove-strlcpy-compat.h.patch
new file mode 100644
index 0000000..ae2d271
--- /dev/null
+++ b/testing/entr/remove-strlcpy-compat.h.patch
@@ -0,0 +1,14 @@
+--- eradman-entr-c20e34ec153a/missing/compat.h
++++ eradman-entr-c20e34ec153a/missing/compat.h.new
+@@ -4,11 +4,6 @@
+ #define NOTE_TRUNCATE 0
+ #endif
+ 
+-#if defined(_LINUX_PORT)
+-#include <sys/types.h>
+-size_t strlcpy(char *to, const char *from, int l);
+-#endif
+-
+ #if defined(_MACOS_PORT)
+ #include <stdio.h>
+ FILE *fmemopen(void *buf, size_t size, const char *mode);
-- 
2.3.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---